LibreOffice LibreOffice 7.2 SDK API Reference

Classes | Modules
Diagram.idl File Reference
`import "com/sun/star/chart/XDiagram.idl";`
`import "com/sun/star/chart/XAxisSupplier.idl";`
`import "com/sun/star/chart/XDiagramPositioning.idl";`
`import "com/sun/star/chart/XSecondAxisTitleSupplier.idl";`
`import "com/sun/star/beans/XPropertySet.idl";`
`import "com/sun/star/chart/ChartDataRowSource.idl";`
`import "com/sun/star/xml/UserDefinedAttributesSupplier.idl";`

Go to the source code of this file.

## Classes
service | Diagram
| the base service for the diagram of the chart document. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::chart
| Charting diagram interfaces.